import Foundation

func regexLiteral() {
    do {
        let regex = /a(.*)b/
        let match = "cbaxb".matches(of: regex)
        print(match.first?.0) // "axb"
    }

    do {
        let regex = /a(?<value>.*)b/
        let match = "cbaxb".matches(of: regex)
        print(match.first?.value) // "x"
    }
}

func regexType() {
    do {
        let runtimeString = #"\d+"#
        let regex = try Regex(runtimeString)
        let match = "yutailang0119".firstMatch(of: regex)
        print(match?.0) // "0119"
    } catch {
        print(error)
    }
}
