import SwiftUI

struct AnyLayoutExample: View {
    @Environment(\.horizontalSizeClass) private var horizontalSizeClass: UserInterfaceSizeClass?

    var body: some View {
        let layout = horizontalSizeClass == .regular ?
            AnyLayout(HStackLayout()) :
            AnyLayout(VStackLayout())
        layout {
            Text("Hello")
            Text("World!")
        }
    }
}

struct AnyLayoutExample_Previews: PreviewProvider {
    static var previews: some View {
        AnyLayoutExample()
    }
}
