import SwiftUI

struct ValueView: View {
    var body: some View {
        Text("Value")
    }
}

struct LabeledContentExample: View {
    var body: some View {
        Form {
            HStack {
                Text("Label")
                ValueView()
            }
            LabeledContent("Label") {
                ValueView()
            }
            HStack {
                Text("Label")
                Text(Date.now, format: .dateTime)
            }
            LabeledContent("Label", value: Date.now, format: .dateTime)
        }
    }
}

struct LabeledContentExample_Previews: PreviewProvider {
    static var previews: some View {
        LabeledContentExample()
    }
}
