//
//  ChartContent+Extension.swift
//  ChartsExample
//
//  Created by Yutaro Muta on 2022/09/24.
//

import SwiftUI
import Charts

extension ChartContent {
    @ChartContentBuilder
    public func `if`<C: ChartContent>(_ condition: Bool, transform: (Self) -> C) -> some ChartContent {
        if condition {
            transform(self)
        } else {
            self
        }
    }
}
