//
//  VariableColorExample.swift
//  Examples
//
//  Created by Kouki Saito on 2022/10/23.
//

import SwiftUI

struct VariableColorExample: View {
    @State var variableValue = 1.0

    var body: some View {
        VStack {
            Image(systemName: "speaker.wave.3", variableValue: variableValue)
                .font(.largeTitle)
                .foregroundColor(.accentColor)
            Slider(value: $variableValue, in: 0...1)
        }
        .padding()
    }
}
